Subject: Re: bug#39668: 26.2; timer-list and timer-idle-list are undocumented in the Elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2020 21:57:51 +0200

> Date: Tue, 18 Feb 2020 19:36:08 +0000 (GMT)
> From: ndame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> > Why do you need to access the active timers?
> 
> I wanted only to check the existing timers, not modify them,
> so I needed only read only access. I don't modify anything.
> 
> I use this to avoid starting a timer if one is started already. So I just
> check the timer list for the function names if it already contains 
> my function. If so then I don't start a timer, because it's already done.
> 
> So the timer list eliminates the need of me haveing to store the timer in a variable,
> because the list tells me if it's already active.

There are other ways of doing that, but if you really need it for such
a rare use case, there's nothing wrong in reading the code.